package geniusweb.actions;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Indicates that a party turns away from the negotiation and.
 *
 */
public class EndNegotiation extends AbstractAction {

	@JsonCreator
	public EndNegotiation(@JsonProperty("actor") PartyId id) {
		super(id);
	}

	@Override
	public String toString() {
		return "EndNegotiation[" + getActor() + "]";
	}

}
